Opened 7 years ago

Closed 7 years ago

#5287 closed enhancement (fixed)

Xulrunner/Firefox-31.0

Reported by: Fernando de Oliveira Owned by: ken@…
Priority: normal Milestone: 7.6
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

Change History (5)

comment:1 by ken@…, 7 years ago

Looks as if the build-system requires that Python was built against openssl. For me, it fails with:

ImportError: cannot import name HTTPSHandler

and there is a ticket at tor saying that is needed: https://trac.torproject.org/projects/tor/ticket/12462 I think this will affect anybody who does not have /usr/lib/python2.7/lib-dynload/_ssl.so

comment:2 by ken@…, 7 years ago

First, I confirm that it builds if Python is rebuilt after openssl, and that Python-2.7.8 seems to upgrade earlier 2.7 versions without any problem. Second, I can take this ticket if it helps - will do so unless Fernando says anything in the next hour or two.

comment:3 by Fernando de Oliveira, 7 years ago

Please, take it. I am better but not much, did some work with pain, earlier today, got a childish complaint from Armin. Need to rest.

comment:4 by ken@…, 7 years ago

Owner: changed from blfs-book@… to ken@…
Status: newassigned

comment:5 by ken@…, 7 years ago

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.